# A generalization of PGError, and whatever MySQL and the other
# databases might eventually use.
class DatabaseError < StandardError
end


# Perhaps surprisingly, used to indicate that an account name is
# invalid.
class InvalidAccountError < StandardError
end


# Used to indicate that an account does not exist on the filesystem.
class NonexistentAccountError < StandardError
end


# Used to indicate that a domain does not exist on the filesystem.
class NonexistentDomainError < StandardError
end
